EDIT - bug #825

DefinedTermDaolmpl - missleading method names
06/22/2009 09:58 AM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.27

Severity: major Found in Version:

Description

DefinedTermDaolmpl implements

findByTitle (String queryString);
findByTitle (String queryString, CdmBase sessionObject);

which is declared in ITitledDao. The name suggests a search by title the implementation however does a search by label. All other
findByTitle methods are implemented correctly.

Associated revisions

Revision 0dd6415a - 09/17/2021 10:24 AM - Andreas Miiller

fix #825 rename method that searches by representation label in term dao

History

#1 - 06/22/2009 10:02 AM - Andreas Kohlbecker

- Severity changed from normal to major

#2 - 10/15/2009 03:10 AM - Andreas Miiller

- Assignee changed from Andreas Miller to Andreas Kohlbecker

Andreas K., could you please check if this has been fixed by Ben's latest work on CdmLibraryConventions?

#3 - 10/22/2009 01:28 PM - Andreas Kohlbecker
- Target version changed from CDM lib Release 2.0 to CDM lib Release 2.3

#4 - 07/02/2021 10:50 PM - Andreas Miiller
- Description updated
- Assignee changed from Andreas Kohlbecker to Andreas Mtiller

- Target version changed from cdmlib - Old Next Major Release to Release 5.45

This is still an open issue.

#5 - 07/02/2021 10:50 PM - Andreas Miller

- Tags set to fast

#6 - 07/05/2021 09:49 AM - Andreas Kohlbecker

- Private changed from Yes to No

#7 - 09/17/2021 10:24 AM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|0dd6415a7665115b465b687879a987b7d70af7ed.
https://dev.e-taxonomy.eu/redmine/projects/edit/wiki/CdmLibraryConventions
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdmlib/revisions/0dd6415a7665115b465b687879a987b7d70af7ed

#8 - 09/17/2021 10:48 AM - Andreas Miiller
- Assignee changed from Andreas Miiller to Andreas Kohlbecker
This is fixed. Please review.

As the old method findByTitle which did override the same labeled parent method seems to be only called by test methods there seems to be no
danger that this change created a regression as it is not API but dao.

#9 - 09/21/2021 02:15 PM - Andreas Miller

- Target version changed from Release 5.45 to Release 5.27

#10 - 09/21/2021 03:25 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed
- Assignee changed from Andreas Kohlbecker to Andreas Miiller

- % Done changed from 50 to 100

fully solved
